Project

General

Profile

Tâche #31044

Scénario #31087: Zéphir 2.8.0 : Corrections python 3 (2.8.0-beta1)

Correction ZC-T01-003 - Enregistrement d'un serveur non instancié avec fonctions personnalisées (2.8.0-beta1)

Added by Joël Cuissinat over 3 years ago. Updated over 3 years ago.

Status:
Fermé
Priority:
Normal
Assigned To:
Start date:
04/10/2020
Due date:
% Done:

0%

Estimated time:
0.00 h
Remaining (hours):
0.0

Description

Pas №4

Message dans l'interface : expected bytes-like object, not str

Le traceback dans les logs :

2020-11-06T09:37:14.938679+01:00 zephir.ac-test.fr zephir_web: [-] Traceback (most recent call last):
2020-11-06T09:37:14.938957+01:00 zephir.ac-test.fr zephir_web: [-]   File "/usr/lib/python3.8/base64.py", line 510, in _input_type_check
2020-11-06T09:37:14.939016+01:00 zephir.ac-test.fr zephir_web: [-]     m = memoryview(s)
2020-11-06T09:37:14.939061+01:00 zephir.ac-test.fr zephir_web: [-] TypeError: memoryview: a bytes-like object is required, not 'str'
2020-11-06T09:37:14.939155+01:00 zephir.ac-test.fr zephir_web: [-] The above exception was the direct cause of the following exception:
2020-11-06T09:37:14.939206+01:00 zephir.ac-test.fr zephir_web: [-] Traceback (most recent call last):
2020-11-06T09:37:14.939276+01:00 zephir.ac-test.fr zephir_web: [-]   File "/usr/lib/python3/dist-packages/zephir/web/html/dicos.py", line 430, in renderView
2020-11-06T09:37:14.939328+01:00 zephir.ac-test.fr zephir_web: [-]     dict_data = base64.encodestring(dict_data)
2020-11-06T09:37:14.939377+01:00 zephir.ac-test.fr zephir_web: [-]   File "/usr/lib/python3.8/base64.py", line 540, in encodestring
2020-11-06T09:37:14.939421+01:00 zephir.ac-test.fr zephir_web: [-]     return encodebytes(s)
2020-11-06T09:37:14.939465+01:00 zephir.ac-test.fr zephir_web: [-]   File "/usr/lib/python3.8/base64.py", line 527, in encodebytes
2020-11-06T09:37:14.939513+01:00 zephir.ac-test.fr zephir_web: [-]     _input_type_check(s)
2020-11-06T09:37:14.939557+01:00 zephir.ac-test.fr zephir_web: [-]   File "/usr/lib/python3.8/base64.py", line 513, in _input_type_check
2020-11-06T09:37:14.939601+01:00 zephir.ac-test.fr zephir_web: [-]     raise TypeError(msg) from err
2020-11-06T09:37:14.939641+01:00 zephir.ac-test.fr zephir_web: [-] TypeError: expected bytes-like object, not str

Exécution Squash-TM

Associated revisions

Revision 727db78a (diff)
Added by Matthieu Lamalle over 3 years ago

set correct byte encoding ref #31044

History

#1 Updated by Joël Cuissinat over 3 years ago

  • Copied from Tâche #30975: Correction <ID_DU_TEST> - <nom test> - <NOM DU JEU DE DONNÉES> (2.8.0-beta1) added

#2 Updated by Joël Cuissinat over 3 years ago

  • Copied from deleted (Tâche #30975: Correction <ID_DU_TEST> - <nom test> - <NOM DU JEU DE DONNÉES> (2.8.0-beta1))

#3 Updated by Joël Cuissinat over 3 years ago

  • Parent task changed from #30862 to #31087

#4 Updated by Matthieu Lamalle over 3 years ago

  • Status changed from Nouveau to En cours

#5 Updated by Matthieu Lamalle over 3 years ago

  • Assigned To set to Matthieu Lamalle

#6 Updated by Matthieu Lamalle over 3 years ago

  • Status changed from En cours to Résolu

#7 Updated by Fabrice Barconnière over 3 years ago

  • Status changed from Résolu to Fermé

Also available in: Atom PDF